/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.datamodel;

import ru.ulstu.datamodel.ts.TimeSeries;

public abstract class Model {
    protected final TimeSeries timeSeriesModel;

    protected Model(TimeSeries ts) {
        timeSeriesModel = new TimeSeries("Model of", ts.getName());
    }

    public TimeSeries getTimeSeriesModel() {
        return timeSeriesModel;
    }
}
