/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.method.exponential.parameter;

public class Beta extends ExponentialMethodParameter {
    public Beta() {
        super("BETA", DEFAULT_MIN_VALUE, DEFAULT_MAX_VALUE, DEFAULT_OPTIMIZATION_STEP);
    }

    public static Beta getInstance() {
        return new Beta();
    }
}
